

export default function pageAccountList(){
  var ajax = {
    url: g.listUrl,
    type: 'POST',
    data: function(d){
      d[g.csrfParam] = g.csrfToken;
      return d;
    }
  };
  var columns = [
    {data: 'id', name:'id',
      orderable:true, searchable:false},
    {data: 'name', name:'name', searchable:true,width:'150px'},
    {data: 'billing_zone_code', name:'crm_address.zone_id', searchable:true, orderable:true,},
    {data: 'phone', name: 'phone'},
    {data: 'type_name', name:'crm_taxonomy_term.name'},
    {data:'owner_name', name:'staff.username', orderable:true, searchable:true},
    {data:'created_at', name:'created_at', orderable:true, searchable:false,
      render: function(data, type, row){return row.created_str}
    },
    {
      data: 'id',name:'',
      orderable: false,
      width:'120px',
      render: function(data, type, row){
        return (new EJS({element:'tpl_action'})).render({id:data,name:row.name});
      }
    }
  ];
  window.t = $('.tb_account_list').DataTable($.extend(tableDefaultOptions, {
    ajax: ajax, columns: columns
  }));

  window.applySearch(t, $('.dataTables_filter input'), $('.th_search_w input'));


  $('body').delegate('.tb_account_list .btn_delete','click',  function(e){
    e.preventDefault();
    var $s = $(this);
    window.openDeleteModal('Are you sure to delete ['+ $s.data('name') +']?', function(e){
      closeModal($('#react_container'));
    }, function(e){
      var url = $s.attr('href');
      var id = $s.data('id');
      var postData = {id:id};
      postData[g.csrfParam] = g.csrfToken;
      $.post(url, postData, function(data){
        closeModal($('#react_container'));
        t.draw();
      }).fail(function(error){
        closeModal($('#react_container'));
        $.gritter.add({
          title: error.statusText,
          text: error.responseText,
          class_name: 'gritter-warning'
        });
      })
    });
  })
}